.row.second-bar
  = render template: 'shared/breadcrumbs'

  = render 'shared/additional_menu' do
    - if @trial.created?
      - if @trial.can_become_pending? && !current_user.present?
        %button.btn.btn-primary{ 'data-target': '#mark-pending-modal',
        'data-toggle': 'modal', type: 'button' }
          %i.fa.fa-check
          %span= t(:mark_pending)
    - elsif !current_user.present?
      = link_to formsub_meetings_url,
      class: 'btn btn-success' do
        %i.fa.fa-plus-square-o
        %span= t(:register)
    - unless current_user.present?
      = link_to committee_trial_clear_permitted_path(@committee),
      method: :delete, class: 'btn btn-warning', 'data-toggle': 'tooltip',
      'data-placement': 'bottom', title: t(:clear_from_this_computer),
      data: { confirm: t(:confirm_forget_trials) } do
        %i.fa.fa-ban
        = t(:forget)
    = link_to edit_committee_trial_path(@committee, @trial),
    class: 'btn btn-secondary', 'data-toggle': 'tooltip',
    'data-placement': 'bottom', title: t(:edit_trial) do
      %i.fa.fa-edit
      %span.hidden-sm-up= t(:edit)

= render 'shared/alerts'
%hr.hidden-sm-up
.row.full-page-row
  .col-md-6
    .px-lg-5
      %ul.list-group
        %li.list-group-item.list-group-item-info
          %h4= @trial.title
        %li.list-group-item
          %b= t(:rank_colon)
          = @trial.rank&.name || t(:rank_missing)
          .ml-2.mr-2= '|'
          %b= t(:deadline_colon)
          = l(@trial.deadline, format: :month_year)
        %li.list-group-item
          %b= t(:email)
          = @trial.email
          .ml-2.mr-2= '|'
          %b= t(:phone_number)
          = @trial.phone_number
        %li.list-group-item
          %b= t(:environment_colon)
          = @trial.environment&.name || t(:environment_missing)
          .ml-2.mr-2= '|'
          %b= t(:troop_colon)
          = @trial.troop
        %li.list-group-item
          %b= t(:birthdate_colon)
          = @trial.birthdate
        %li.list-group-item
          %b= t(:supervisor)
          = @trial.supervisor
          (
          = @trial.supervisor_phone_number
          \/
          = mail_to @trial.supervisor_email
          )
        - if current_user&.admin?
          %li.list-group-item
            %b= t(:status)
            = @trial.status
        %li.list-group-item
          %b= t(:private_key_digest)
          = @trial.private_key_digest
        %li.list-group-item
          %b= t(:created_at)
          = l(@trial.created_at, format: :short)
          .ml-2.mr-2= '|'
          %b= t(:updated_at)
          = l(@trial.updated_at, format: :short)
  .col-md-6
    - unless @trial.valid?
      .alert.alert-danger{ role: 'alert' }
        = @trial.errors.full_messages.join('. ')
        = link_to t(:edit), edit_committee_trial_path(@committee, @trial),
        class: 'btn btn-secondary btn-sm float-right'
    - if @trial.created? && !current_user.present?
      .ls40
      %h4= [t(:states_general), t(:registrations)].to_sentence
      %hr
      %p.text-justify.pr-5= t(:more_functionalities_available_after_confirm)
      %p.text-justify
        %b= t(:more_functionalities_available_after_confirm2)
      = link_to t(:tasks), '#tasks', class: 'btn btn-primary'
      %hr
    - else
      - if @trial.pending_changes?
        .alert.alert-warning{ role: 'alert' }
          = t(:pending_changes_alert)
          - if current_user.present?
            = link_to committee_trial_versions_path(@committee, @trial),
            class: 'btn btn-sm btn-secondary float-right' do
              = t(:trial_changes)
        .ls20
      .hidden-md-up.ls40
      .px-lg-5
        %ul.list-group
          %li.list-group-item.list-group-item-info
            %h4= [t(:states_general), t(:files_general)].to_sentence
          %li.list-group-item
            %b= t(:state_colon)
            - if @trial.stateman_trial.present?
              - current_state = @trial.stateman_trial.state
              %span.badge.badge-default.pointer{ title: current_state.name,
              'data-toggle': 'popover', style: style_for_trial_badge(@trial),
              'data-content': current_state.description,
              'data-trigger': 'hover click', 'data-placement': 'top' }
                = current_state.name.split.first
            - else
              = t(:missing_state)
          %li.list-group-item
            %b= t(:reachable_states_colon)
            - if @trial.stateman_trial.present?
              - if current_user.present?
                - @trial.stateman_trial.reachable_states.each do |state|
                  = link_to state.name.split.first,
                  committee_trial_set_state_path(@committee, @trial, state.id),
                  data: { confirm: t(:confirm_state_update,
                  state: state.name) }, class: 'btn btn-secondary btn-state',
                  method: :patch, title: state.name,
                  'data-toggle': 'popover', 'data-trigger': 'hover',
                  'data-content': state.description, 'data-placement': 'bottom',
                  style: "background-color: ##{state.color}"
              - else
                = @trial.stateman_trial.reachable_states.map(&:name).to_sentence
            - else
              :javascript
                alert('#{t(:missing_state_try_update)}')
          - if @committee.drive_configured?
            - if @trial.drive_folder.present?
              %li.list-group-item
                .btn-group
                  = link_to t(:open_folder), drive_folder_url(@trial),
                  class: 'btn btn-info', target: '_blank'
                  %button.btn.btn-success{ 'data-target': '#add-file-modal',
                  'data-toggle': 'modal', type: 'button' }
                    = t(:add_file)
                  - if current_user.present?
                    = form_for([@committee, @trial]) do |f|
                      = f.hidden_field :drive_folder, value: ''
                      = f.submit t(:clear_drive), class: 'btn btn-warning',
                      title: t(:clear_drive_tooltip), 'data-toggle': 'tooltip'
                - if @trial.drive_files.present?
                  %li.list-group-item
                    = t(:files_saved, count: @trial.drive_files.count)
                    \:
                    = @trial.drive_files.map(&:name).to_sentence
            - else
              %li.list-group-item
                = t(:no_folder_added)
                / this line is responsible for adding drive folder on refresh
                - @trial.drive_files
          - else
            %li.list-group-item
              = t(:missing_drive_info)
          %li.list-group-item
            .btn-group
              = link_to t(:trial_as_pdf), committee_trial_path(@committee,
              @trial, format: 'pdf'), class: 'btn btn-secondary',
              target: '_blank'
              = link_to t(:trial_download_pdf), committee_trial_path(@committee,
              @trial, download: true, format: 'pdf'), class: 'btn btn-secondary'
      .ls40
      %h4= t(:registrations)
      %hr
      - if @trial.formsub_case.registrations.empty?
        = t(:no_registrations)
        - unless current_user.present?
          \ -
          = link_to t(:new_registration), formsub_meetings_url
        %hr
      - else
        - @trial.formsub_case.registrations.each do |registration|
          %b= registration.title
          = registration.meeting&.name || t(:registration_deleted)
          - if registration.meeting.present?
            (
            = l(registration.meeting.time_start.to_datetime, format: :short)
            \-
            = l(registration.meeting.time_end.to_datetime, format: :short)
            )
          %p= registration.description
          %hr
%hr#tasks
.ls40
.row.full-page-row
  .col-lg-8.offset-lg-2
    %nav.navbar.navbar-inverse.bg-info.mb-0
      .navbar-brand= t(:tasks)
    .table-responsive
      %table.table.table-bordered
        %thead
          %tr
            %th #
            %th= t(:task_content)
            %th= t(:deadline_short)
            %th.bg-success.td-square.pointer{ 'data-toggle': 'modal',
            'data-target': '#new-task-modal' }
              .btn.btn-sm
                %i.fa.fa-plus-square-o
        - @tasks.each do |task|
          %tr.show-on-hover-parent
            %td= task.number
            %td= task.content
            %td= l(task.deadline, format: :month_year)
            %td.td-square
              .show-on-hover
                = link_to [:edit, @committee, @trial, task], title: t(:edit),
                class: 'btn btn-sm btn-secondary', 'data-toggle': 'tooltip',
                'data-placement': 'bottom' do
                  %i.fa.fa-edit
                  %span.hidden-sm-up= t(:edit)
.ls40
%hr#comments
.ls40
.row.full-page-row
  .col-lg-8.offset-lg-2
    %nav.navbar.navbar-inverse.bg-info.mb-0
      .navbar-brand= t(:comments)
    .ls20
    - @comments.each do |comment|
      .comment
        - unless comment.title == 'history'
          = comment.user&.email || t(:candidate)
          = t(:commented)
          = l(comment.created_at, format: :short)
          %i= t(comment.role) if current_user.present?
        %p
          = l(comment.created_at, format: :short) if comment.title == 'history'
          = sanitize_trix_html comment.comment
      %hr
    = render 'comment_form', trial: @trial

= render 'tasks/new'
= render 'mark_pending_modal', committee: @committee, trial: @trial
= render 'add_file_modal', committee: @committee, trial: @trial

:javascript
  $("[href='#tasks']").click(function(event) {
    event.preventDefault();
    $('html, body').animate({
      scrollTop: $("#tasks").offset().top
    }, 500);
  });

- if @tasks.count.zero?
  :javascript
    $('[data-target="#new-task-modal"] .btn').attr({
    title: '#{t(:click_to_add_task)}',
    'data-toggle': 'tooltip'}).tooltip({ placement: 'left',
    html: true, offset: '-15 15', container: 'body' }).tooltip('show')
